View Issue Details

IDProjectCategoryView StatusLast Update
0000017luatexfeature requestpublic2009-04-23 11:09
ReporterTacoAssigned Tohhenkel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000017: Directionality support in PDF mode
DescriptionIn DVI mode, direction support in luatex is equal to Aleph's,
but not all of Aleph's direction commands are handled properly in
PDF mode, and especially the vertical scripts support is missing
almost completely (only TRT and TLT are routinely tested).



TagsNo tags attached.

Activities

2008-04-08 09:32

 

RTR.tex (474 bytes)

Taco

2008-04-08 09:41

administrator   ~0000012

Attached RTR.tex is a small example file from Wolfgang Schuster

Taco

2008-12-29 17:53

administrator   ~0000095

Trivial example, from Arthur:

\tt

\pagedir LTL\bodydir LTL\pardir LTL\textdir LTL
Hello, world!
\bye

This moves upward in PDF mode, where it should go downward instead.

hhenkel

2009-04-22 23:02

manager   ~0000185

this should be fixed in 0.40.0. please check.

Taco

2009-04-23 09:44

administrator   ~0000186

Arthur's example seems to work ok now.

Wolfgang's file still appears to have issues with the page bottom

2009-04-23 10:06

 

RTR1.tex (493 bytes)

hhenkel

2009-04-23 10:12

manager   ~0000187

the page bottom (\pagebottomoffset) does not matter in Wolfgang's example, as text goes downward from the top, so one must provide \pagetopoffset and \pagerightoffset (both default to 1in). Further the \pagedir must be set to RTR (follow \bodydir) to make the \shipout box (which as \bodydir direction) be anchored at the top of the page.

See RTR1.tex.

This is also a case, where it would work more intuitively, if luatex would automatically set the current \pagedir to the \boxdir of the shipped box.

hhenkel

2009-04-23 10:19

manager   ~0000188

what if luatex would send a warning, if \bodydir of the shipped, outermost box does not match \pagedir at shipout time?

2009-04-23 10:39

 

RTR2.tex (1,112 bytes)

Taco

2009-04-23 10:40

administrator   ~0000189

Ah right, RTR1.tex looks fine. A warning is perhaps helpful indeed.
Shall we close this issue ?

hhenkel

2009-04-23 10:47

manager   ~0000190

yes (see also RTR2.tex for clarification)

but let's issue a warning; that will help.

Issue History

Date Modified Username Field Change
2008-02-16 11:53 Taco New Issue
2008-02-16 11:54 Taco Status new => acknowledged
2008-04-08 09:32 Taco File Added: RTR.tex
2008-04-08 09:41 Taco Note Added: 0000012
2008-12-29 17:53 Taco Note Added: 0000095
2009-02-02 23:52 Taco Status acknowledged => assigned
2009-02-02 23:52 Taco Assigned To => hhenkel
2009-02-24 15:00 Taco Target Version => 0.40.0
2009-04-22 13:10 Taco Target Version 0.40.0 =>
2009-04-22 23:02 hhenkel Note Added: 0000185
2009-04-23 09:44 Taco Note Added: 0000186
2009-04-23 10:06 hhenkel File Added: RTR1.tex
2009-04-23 10:12 hhenkel Note Added: 0000187
2009-04-23 10:19 hhenkel Note Added: 0000188
2009-04-23 10:39 hhenkel File Added: RTR2.tex
2009-04-23 10:40 Taco Note Added: 0000189
2009-04-23 10:47 hhenkel Note Added: 0000190
2009-04-23 11:09 Taco Status assigned => closed
2009-04-23 11:09 Taco Resolution open => fixed